From 1baea125c5d5970f39da7083dc3bd1b0f4be14bd Mon Sep 17 00:00:00 2001
From: Toshi MARUYAMA <marutosijp2@yahoo.co.jp>
Date: Sat, 13 Jul 2013 16:47:22 +0900
Subject: Rails3 compatibility: replace 'index.rhtml' and 'show.rhtml' in issues_controller.rb

--HG--
extra : source : 605803f3d76ec3d85cf711fe58e58821701c40ef
---
 app/controllers/issues_controller.rb |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/app/controllers/issues_controller.rb b/app/controllers/issues_controller.rb
index da1d206..80d91e5 100644
--- a/app/controllers/issues_controller.rb
+++ b/app/controllers/issues_controller.rb
@@ -75,7 +75,7 @@ class IssuesController < ApplicationController
       @issue_count_by_group = @query.issue_count_by_group
 
       respond_to do |format|
-        format.html { render :template => 'issues/index.rhtml', :layout => !request.xhr? }
+        format.html { render :template => 'issues/index', :layout => !request.xhr? }
         format.api
         format.atom { render_feed(@issues, :title => "#{@project || Setting.app_title}: #{l(:label_issue_plural)}") }
         format.csv  { send_data(issues_to_csv(@issues, @project), :type => 'text/csv; header=present', :filename => 'export.csv') }
@@ -83,7 +83,7 @@ class IssuesController < ApplicationController
       end
     else
       # Send html if the query is not valid
-      render(:template => 'issues/index.rhtml', :layout => !request.xhr?)
+      render(:template => 'issues/index', :layout => !request.xhr?)
     end
   rescue ActiveRecord::RecordNotFound
     render_404
@@ -100,7 +100,7 @@ class IssuesController < ApplicationController
     @priorities = IssuePriority.all
     @time_entry = TimeEntry.new(:issue => @issue, :project => @issue.project)
     respond_to do |format|
-      format.html { render :template => 'issues/show.rhtml' }
+      format.html { render :template => 'issues/show' }
       format.api
       format.atom { render :template => 'journals/index', :layout => false, :content_type => 'application/atom+xml' }
       format.pdf  { send_data(issue_to_pdf(@issue), :type => 'application/pdf', :filename => "#{@project.identifier}-#{@issue.id}.pdf") }
-- 
1.7.1


